package bus.service;

import bus.model.dto.BCourseTimeDto;
import bus.model.dto.page.BCourseTimePageDto;
import bus.model.vo.BCourseTimeVo;
import bus.model.po.BCourseTimePo;
import com.baomidou.mybatisplus.extension.service.IService;

import java.util.List;

/**
 * @Program: bus
 * @Description: 描述
 * @Author: zy
 * @Date: 2025-03-02 19:55:46
 **/
public interface BCourseTimeService extends IService<BCourseTimePo> {


    /**
     * 详情
     * @param id
     * @return
     */
    BCourseTimePo getDetailById(String id);

	/**
     * 保存
     * @param dto
     * @return
     */
    void save(BCourseTimeDto dto);

    /**
    * 列表
    * @param dto
    * @return
    */
    List<BCourseTimeVo> list(BCourseTimePageDto dto);

	/**
     * 修改
     * @param dto
     * @return
     */
    void update(BCourseTimeDto dto);

	/**
     * 删除
     * @param id
     * @return
     */
    void delete(String id);

    /**
     * 根据线路id删除
     */
    void deleteByCourseId(String courseId);
}
